Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019422
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2012-01-07 09:552012-01-14 21:21
ReporterjpcalventeView Statuspublic 
Assigned Tomtaal 
PriorityhighResolutionfixedFixed in Version3.0MP8
StatusclosedFix in branchpiFixed in SCM revisionfe6c4992e9bc
ProjectionnoneETAnoneTarget Version3.0MP8
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP6SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019422: Grid personalization not stored

DescriptionOpen a window (Sales order) in grid mode.
Hide and move any field.
Close the tab. Open again. The changes done, are not stored.
It happens also if you log out the app.
Steps To ReproduceOpen a window (Sales order) in grid mode.
Hide and move any field.
Close the tab. Open again. The changes done, are not stored.
It happens also if you log out the app.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00195643.0MP8 closedmtaal Selected record is persisted in grid state, resulting in selected record when grid is re-opened with empty child tab 

-  Notes
(0044135)
jonalegriaesarte (reporter)
2012-01-07 18:14

In MP4, works fine
(0044137)
mtaal (developer)
2012-01-09 08:49

Persisting of grid settings is part of window personalization:
http://wiki.openbravo.com/wiki/User_Manual/Window_Personalization [^]

So you need to explicitly save a view to store grid layout changes.

gr. Martin
(0044152)
jpcalvente (developer)
2012-01-09 13:14

Try in Openbravo 3 MP4.2 to do this:

1. Open a window (Sales order) in grid mode.
2. Hide and move any field (e.g hide Organization field)
3. Close tab
4. Open again the same window (Sales Order). Here you can log out the app also.
5. Change is maintened

Note: without using saved views. This is something that worked fine.

i have review all MP from 4.2 and there has not bee any publihed change regarding this.
(0044153)
mtaal (developer)
2012-01-09 13:35

The first implementation of personalized grids was ment to be part of saved views. The change that you need to work with saved views is intended and by design and afaics this is not a bug.

Can you elaborate why you think this is a bug? (I don't see any reason at all...)

gr. Martin
(0044157)
mtaal (developer)
2012-01-09 13:44

Afaics the feature request is to make grid personalization available as an independent function as it worked before, possibly offering it as the community feature.
(0044160)
mtaal (developer)
2012-01-09 15:17

Form layout is persisted without saving views
The same should be done for grid layouts.
(0044236)
hgbot (developer)
2012-01-11 11:08

Repository: erp/devel/pi
Changeset: fe6c4992e9bca91a500e1a0e5fb917d89a860c06
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jan 11 11:07:29 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fe6c4992e9bca91a500e1a0e5fb917d89a860c06 [^]

Fixes issue 19422: Grid personalization not stored
Form and grid changes are persisted even if no view is saved. These form/grid settings act as defaults in case there is no default view.
This is only done in case of professional edition.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0044238)
mtaal (developer)
2012-01-11 11:14

To test this, try 2 modes: with an activation key and without. Without an activation key the grid/form settings should not be persisted.

To test:
0) Enter an activation key
1) open sales invoice window, change the grid layout, change the form layout
2) do not save as a view
3) close the window, refresh the application
4) open sales invoice window, and check that the grid/form layout changes are applied even without a view
5) do some more layout changes and save as a view
6) re-open the window, see that the latest form/grid layout changes are not applied as there is not a view
7) select the view, the saved view changes should be applied
(0044239)
hgbot (developer)
2012-01-11 11:17

Repository: erp/devel/pi
Changeset: 3995e2e042037e9577076831d47c714cc8e264d2
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jan 11 11:16:29 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3995e2e042037e9577076831d47c714cc8e264d2 [^]

Related to issue 19422: Grid personalization not stored
Only use form/grid settings if there is no saved view

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0044244)
mtaal (developer)
2012-01-11 11:34

Updated the docs:
http://wiki.openbravo.com/wiki/User_Manual/Window_Personalization#Default_Form.2FGrid_Personalization_.28without_saved_views.29 [^]
(0044302)
hgbot (developer)
2012-01-12 16:49

Repository: erp/devel/pi
Changeset: 4056165061410466150d67df1e6a6f8349013eaa
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jan 12 16:49:09 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4056165061410466150d67df1e6a6f8349013eaa [^]

Related to issue 19422: Grid personalization not stored
Enable form/grid personalization if no views are defined

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0044312)
hgbot (developer)
2012-01-12 17:49

Repository: erp/devel/pi
Changeset: cd4d937d352b393402716ffda1a6a127ba7b2efe
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jan 12 17:45:24 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cd4d937d352b393402716ffda1a6a127ba7b2efe [^]

Related to issue 19422: Grid personalization not stored
Apply grid/form preference in case there is no default

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
---
(0044335)
dbaz (developer)
2012-01-14 15:37

If you hide, show or resize any column in the grid field the change is persisted if you just go away and come back (that's ok)

If you drag and drop the child level, making the top or the bottom level smaller, this change is not persisted if you go away and come back, but it is persisted in the saved view (if you save it, of course).

To be coherent, the levels height should be persisted too if you just go away and come back.
(0044336)
mtaal (developer)
2012-01-14 16:20

.
(0044337)
mtaal (developer)
2012-01-14 16:21

Storing location of child views is and was never part of individual grid/form personalization. This was and is only part of saved views. The only reason to support the current behavior, outside of saved views, is for light weight changes and not parent-child structures.

If you see a real need then please discuss with Rob Goris to open a feature request for this. Although afaics the value is very small... as it is already supported by saved views.

gr. Martin
(0044338)
dbaz (developer)
2012-01-14 17:08

For me is "strange" that with saved views we save:
* Grid: showed columns
* Grid: columns order
* Grid: columns size
* Grid: parent-child heights
* Form: inputs showed
* Form: inputs position
* Form: parent-child heights

And if you just go away and come back we "only" save:
* Grid: showed columns
* Grid: columns order
* Grid: columns size
* Form: inputs showed
* Form: inputs position

I have a feeling that the parent-child height are missing in the equation. Also it provides an strange effect, that when you come back, have everything as you have left, except these heights.
(0044339)
dbaz (developer)
2012-01-14 18:06

Reviewed @ changeset 15146 - ffeeaa93deac
(0044367)
hudsonbot (developer)
2012-01-14 21:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test
(0044368)
hudsonbot (developer)
2012-01-14 21:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test
(0044382)
hudsonbot (developer)
2012-01-14 21:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test
(0044384)
hudsonbot (developer)
2012-01-14 21:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-01-07 09:55 jpcalvente New Issue
2012-01-07 09:55 jpcalvente Assigned To => dbaz
2012-01-07 09:55 jpcalvente Modules => Core
2012-01-07 09:55 jpcalvente Issue Monitored: jpcalvente
2012-01-07 14:49 dbaz Assigned To dbaz => mtaal
2012-01-07 18:14 jonalegriaesarte Note Added: 0044135
2012-01-07 18:14 jonalegriaesarte Priority high => immediate
2012-01-07 18:14 jonalegriaesarte Target Version => 3.0MP8
2012-01-07 18:14 jonalegriaesarte Priority immediate => high
2012-01-09 08:49 mtaal Note Added: 0044137
2012-01-09 08:49 mtaal Status new => closed
2012-01-09 08:49 mtaal Resolution open => no change required
2012-01-09 13:14 jpcalvente Note Added: 0044152
2012-01-09 13:16 jonalegriaesarte Status closed => new
2012-01-09 13:16 jonalegriaesarte Resolution no change required => open
2012-01-09 13:35 mtaal Note Added: 0044153
2012-01-09 13:35 mtaal Status new => feedback
2012-01-09 13:44 mtaal Note Added: 0044157
2012-01-09 13:44 mtaal Type defect => feature request
2012-01-09 15:17 mtaal Note Added: 0044160
2012-01-09 15:17 mtaal Type feature request => defect
2012-01-11 11:08 hgbot Checkin
2012-01-11 11:08 hgbot Note Added: 0044236
2012-01-11 11:08 hgbot Status feedback => resolved
2012-01-11 11:08 hgbot Resolution open => fixed
2012-01-11 11:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fe6c4992e9bca91a500e1a0e5fb917d89a860c06 [^]
2012-01-11 11:14 mtaal Note Added: 0044238
2012-01-11 11:17 hgbot Checkin
2012-01-11 11:17 hgbot Note Added: 0044239
2012-01-11 11:34 mtaal Note Added: 0044244
2012-01-12 16:49 hgbot Checkin
2012-01-12 16:49 hgbot Note Added: 0044302
2012-01-12 17:49 hgbot Checkin
2012-01-12 17:49 hgbot Note Added: 0044312
2012-01-14 15:37 dbaz Note Added: 0044335
2012-01-14 15:37 dbaz Status resolved => new
2012-01-14 15:37 dbaz Resolution fixed => open
2012-01-14 16:20 mtaal Status new => scheduled
2012-01-14 16:20 mtaal Note Added: 0044336
2012-01-14 16:20 mtaal fix_in_branch => pi
2012-01-14 16:21 mtaal Note Added: 0044337
2012-01-14 16:21 mtaal Status scheduled => resolved
2012-01-14 16:21 mtaal Resolution open => fixed
2012-01-14 17:08 dbaz Note Added: 0044338
2012-01-14 18:06 dbaz Note Added: 0044339
2012-01-14 18:06 dbaz Status resolved => closed
2012-01-14 18:06 dbaz Fixed in Version => 3.0MP8
2012-01-14 21:21 hudsonbot Checkin
2012-01-14 21:21 hudsonbot Note Added: 0044367
2012-01-14 21:21 hudsonbot Checkin
2012-01-14 21:21 hudsonbot Note Added: 0044368
2012-01-14 21:21 hudsonbot Checkin
2012-01-14 21:21 hudsonbot Note Added: 0044382
2012-01-14 21:21 hudsonbot Checkin
2012-01-14 21:21 hudsonbot Note Added: 0044384
2012-01-25 21:44 mtaal Relationship added related to 0019564


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker